import request from '@/utils/request'

// 查询sip用户信息列表
export function listAiSipCallUser(query) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser/list',
    method: 'get',
    params: query
  })
}
// 查询sip用户信息列表
export function myCallUser(query) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser/myCallUser',
    method: 'get',
    params: query
  })
}
// 查询sip用户信息详细
export function getAiSipCallUser(userId) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser/' + userId,
    method: 'get'
  })
}

// 新增sip用户信息
export function addAiSipCallUser(data) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser',
    method: 'post',
    data: data
  })
}

// 修改sip用户信息
export function updateAiSipCallUser(data) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser',
    method: 'put',
    data: data
  })
}

// 删除sip用户信息
export function delAiSipCallUser(userId) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser/' + userId,
    method: 'delete'
  })
}

// 导出sip用户信息
export function exportAiSipCallUser(query) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser/export',
    method: 'get',
    params: query
  })
}
// 获取未绑定的分机列表
export function getUnBindExtnum(query) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser/getUnBindExtnum',
    method: 'get',
    params: query
  })
}
// 获取公司未绑定的分机列表
export function getCompanyUnBindExtnum(companyId) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser/getCompanyUnBindExtnum/' + companyId,
    method: 'get'
  })
}

// 查询aiSIP工具条基础配置参数
export function getToolbarBasicParam(data) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser/getToolbarBasicParam',
    method: 'post',
    data: data
  })
}
// 获取未绑定的分机列表分页
export function getUnBindExtnumPage(query) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser/getUnBindExtnumPage',
    method: 'get',
    params: query
  })
}

// 获取分机号详细信息（根据分机号列表）
export function getSipExtDetail(data) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser/getSipExtDetail',
    method: 'post',
    data: data
  })
}

// 公司批量解绑分机
export function companyBatchUnbindSipExt(companyId,data) {
  return request({
    url: '/his/aiSipCall/aiSipCallUser/companyBatchUnbindSipExt/' + companyId,
    method: 'post',
    data: data
  })
}
